[Unit]
Description=CoreMedia {{ coremedia_application_name }}
After=syslog.target network.target

[Service]
Type=forking
PIDFile={{ user_changes.user_home }}/apache-tomcat.pid

Environment=CATALINA_PID={{ user_changes.user_home }}/apache-tomcat.pid
Environment=CATALINA_HOME={{ user_changes.user_home }}/current
# Environment='CATALINE_OPTS=-Xms128M -Xmx765M -server -XX:+UseParallelGC'
# Environment='JAVA_OPTS=-Djava.awt.haedless=true -Djava.security.egd=file:/dev/./urandom'

ExecStart={{ user_changes.user_home }}/current/bin/startup.sh -Dprocessname={{ coremedia_application_name }}
ExecStop={{ user_changes.user_home }}/current/bin/shutdown.sh 30

User={{ user_changes_user }}
Group={{ user_changes_group }}

[Install]
WantedBy=multi-user.target
